package com.library.model;

import java.sql.Timestamp;

/**
 * 访问日志表
 */
public class VisitLogModel {
    private int id;//
    private int type;//1管理员接口访问日志，2普通会员访问接口日志
    private int by_id;//	对应的表id
    private String  visit_address;//	访问的地址
    private String visit_parm;//访问参数
    private String visit_desc;//描述
    private Timestamp time;//时间
    private String ip_addres;//	请求的ip地址

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getBy_id() {
        return by_id;
    }

    public void setBy_id(int by_id) {
        this.by_id = by_id;
    }

    public String getVisit_address() {
        return visit_address;
    }

    public void setVisit_address(String visit_address) {
        this.visit_address = visit_address;
    }

    public String getVisit_parm() {
        return visit_parm;
    }

    public void setVisit_parm(String visit_parm) {
        this.visit_parm = visit_parm;
    }

    public String getVisit_desc() {
        return visit_desc;
    }

    public void setVisit_desc(String visit_desc) {
        this.visit_desc = visit_desc;
    }

    public Timestamp getTime() {
        return time;
    }

    public void setTime(Timestamp time) {
        this.time = time;
    }

    public String getIp_addres() {
        return ip_addres;
    }

    public void setIp_addres(String ip_addres) {
        this.ip_addres = ip_addres;
    }
}
